Package: org.codehaus.groovy.syntax

## [Java] Class TokenMismatchException

- org.codehaus.groovy.syntax.TokenMismatchException

-     public class TokenMismatchException
      extends TokenException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenMismatchException(Token token, int expectedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getExpectedType()`
    `` | `public Token` | `getUnexpectedToken()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public TokenMismatchException(Token token, int expectedType)

  - ### Method Detail

    - #### public int getExpectedType()

    - #### public Token getUnexpectedToken()